Bug 625982 - nouveau cant resume after suspend
nouveau cant resume after suspend
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ben Skeggs
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-21 02:32 EDT by Mark Lamers
Modified: 2011-06-28 10:18 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-28 10:18:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Xorg.log on resume (60.55 KB, application/octet-stream)
2010-08-21 02:32 EDT, Mark Lamers
no flags Details
Xorg.log on normall boot (60.55 KB, application/octet-stream)
2010-08-21 02:34 EDT, Mark Lamers
no flags Details
lshal ouput (177.35 KB, application/octet-stream)
2010-08-21 02:34 EDT, Mark Lamers
no flags Details
lspci output (177.35 KB, application/octet-stream)
2010-08-21 02:35 EDT, Mark Lamers
no flags Details
pm-suspend.log (6.65 KB, application/octet-stream)
2010-08-21 02:36 EDT, Mark Lamers
no flags Details
dmidecode (15.40 KB, application/octet-stream)
2010-08-21 02:36 EDT, Mark Lamers
no flags Details
dmesg after failed resume from hybernation (63.06 KB, text/plain)
2010-08-23 06:00 EDT, Mark Lamers
no flags Details
Succesfull test with kernel-2.6.24.5 (68.05 KB, text/plain)
2010-08-24 00:31 EDT, Mark Lamers
no flags Details

  None (edit)
Description Mark Lamers 2010-08-21 02:32:57 EDT
Created attachment 440082 [details]
Xorg.log on resume

Description of problem:

After a successful suspend the screen and keyboard wont come up on resume. All programs come up well and i even can log in trough ssh

Version-Release number of selected component (if applicable):

xorg-x11-drv-nouveau-0.0.16-7.20100423git13c1043.fc13.x86_64

How reproducible:
This happends always

Steps to Reproduce:
1. Suspend laptop
2. Resume latop

  
Actual results:
Screen blank, no keyboard

Expected results:
Normal operation


Additional info:
Comment 1 Mark Lamers 2010-08-21 02:34:07 EDT
Created attachment 440083 [details]
Xorg.log on normall boot
Comment 2 Mark Lamers 2010-08-21 02:34:52 EDT
Created attachment 440084 [details]
lshal ouput
Comment 3 Mark Lamers 2010-08-21 02:35:22 EDT
Created attachment 440085 [details]
lspci output
Comment 4 Mark Lamers 2010-08-21 02:36:06 EDT
Created attachment 440086 [details]
pm-suspend.log
Comment 5 Mark Lamers 2010-08-21 02:36:33 EDT
Created attachment 440087 [details]
dmidecode
Comment 6 Ben Skeggs 2010-08-22 18:26:40 EDT
Can I see dmesg output please?  Preferably from after resume, if you can manage to get it somehow.
Comment 7 Mark Lamers 2010-08-23 06:00:44 EDT
Created attachment 440348 [details]
dmesg after failed resume from hybernation
Comment 8 Ben Skeggs 2010-08-23 18:55:04 EDT
Ah, this is a known bug with your kernel.  Give this a try: http://koji.fedoraproject.org/koji/buildinfo?buildID=191473
Comment 9 Mark Lamers 2010-08-24 00:31:18 EDT
Created attachment 440558 [details]
Succesfull test with kernel-2.6.24.5

Thx Ben,

This works great. Are there any symptoms I should look for in case of advising others with similar issues?

\\ML
Comment 10 Ben Skeggs 2010-08-26 02:27:23 EDT
The tell-tale sign is:

[drm] nouveau 0000:01:00.0: Reinitialising engines...
[drm] nouveau 0000:01:00.0: Restoring GPU objects...
[drm] nouveau 0000:01:00.0: Restoring mode...
[drm] nouveau 0000:01:00.0: Couldn't find matching output script table
[drm] nouveau 0000:01:00.0: Couldn't find matching output script table
[drm] nouveau 0000:01:00.0: Couldn't find matching output script table

However, not all cases where the "Couldn't find.." message are shown are indicative of a problem, it's perfectly normal in some configurations.  This case though, is a bug :)
Comment 11 Bug Zapper 2011-06-01 06:58:05 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2011-06-28 10:18:27 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.